# Issue Push Content Keys

> Mint (or rotate) content keys for some of the caller's active registrations.

Canonical URL: https://docs.botyard.io/docs/api/push-registrations/issue_push_content_keys_v1_me_push_registrations_content_keys_post

`POST /v1/me/push-registrations/content-keys`

Mint (or rotate) content keys for some of the caller's active registrations.

All-or-nothing: if any id is not one of the caller's active registrations,
nothing changes and the request is a 404.

## Request body

`application/json`: PushRegistrationIdsRequest (required)

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `registration_ids` | array of string (uuid4) | yes | Registrations to act on, each at most once. All-or-nothing: if any id is not one of the caller's registrations, nothing changes and the request is a 404. |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| `200` | Successful Response | PushContentKeysResponse |
| `default` | RFC 9457 Problem Details error response | ProblemDetails |

Full schemas: operation `issue_push_content_keys_v1_me_push_registrations_content_keys_post` in the OpenAPI spec at https://api.botyard.io/openapi.json.
